oracle.cloud.scanning.api.config

## Class Util

- java.lang.Object
- - oracle.cloud.scanning.api.config.Util

-     public class Util
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MissingAnnotationAttributeResult` | `annotationAttributeMissing(String messageid, oracle.cloud.scanning.types.Severity sev, String attr, String ann)`
    `static Result` | `annotationFieldAllowed(String messageid, oracle.cloud.scanning.types.Severity sev, String field)`
    `static Result` | `annotationFieldValueAllowed(String messageid, oracle.cloud.scanning.types.Severity sev, String name, String val)`
    `static MissingAnnotationResult` | `annotationMissing(String messageid, oracle.cloud.scanning.types.Severity sev, String ann)`
    `static Result` | `attributeNotAllowed(String attr, String qnamePath, oracle.cloud.scanning.types.IncludesAndExcludes iAndE)`
    `static MissingXMLNodeResult` | `attributeNotFound(String must, String qnamePath, oracle.cloud.scanning.types.IncludesAndExcludes iAndE)`
    `static Result` | `attributeValueNotAllowed(String val, String attr, String qnamePath, oracle.cloud.scanning.types.IncludesAndExcludes iAndE)`
    `static ClassReferenceResult` | `classNotAllowed(String messageid, String clsName, oracle.cloud.scanning.types.Severity sev, oracle.cloud.scanning.types.Severity onExemption)`
    `static ClassToBeScannedResult` | `classNotToBeScanned(String clsName, List<String> excludeDependency, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `classNotToBeScanned(String clsName, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `constructorNotAllowed(String messageid, String cls, String args, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `elementNotAllowed(String qnamePath, oracle.cloud.scanning.types.IncludesAndExcludes iAndE)`
    `static MissingXMLNodeResult` | `elementNotFound(String must, String qnamePath, oracle.cloud.scanning.types.IncludesAndExcludes iAndE)`
    `static Result` | `elementValueNotAllowed(String val, String qnamePath, oracle.cloud.scanning.types.IncludesAndExcludes iAndE)`
    `static Result` | `extensionNotAllowed(String messageid, String ext, oracle.cloud.scanning.types.Severity sev)`
    `static XMLElementResult` | `failed(oracle.cloud.scanning.types.IncludesAndExcludes iAndE, String message)`
    `static MissingXMLNodeResult` | `failed(oracle.cloud.scanning.types.IncludesAndExcludes iAndE, String message, MissingXMLNodeResult.NodeType type, String name)`
    `static Result` | `fieldNotAllowed(String messageid, String cls, String field, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `instantiationNotAllowed(String messageid, String clsName, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `instantiationNotAllowedThruNoArg(String messageid, String clsName, oracle.cloud.scanning.types.Severity sev)`
    `static boolean` | `isError(oracle.cloud.scanning.types.Severity sev)`
    `static boolean` | `isHint(oracle.cloud.scanning.types.Severity sev)`
    `static boolean` | `isWarning(oracle.cloud.scanning.types.Severity sev)`
    `static MissingPropertyResult` | `keyMissing(String key, String messageid, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `keyNotAllowed(String messageid, oracle.cloud.scanning.types.Severity sev, String key)`
    `static MethodInvocationResult` | `methodNotAllowed(String messageid, String cls, String method, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `methodOrConstructorNotAllowed(String messageid, String clsName, oracle.cloud.scanning.types.Severity sev)`
    `static Result` | `pathNotAllowed(String messageid, String ext, oracle.cloud.scanning.types.Severity sev)`
    `static MissingResourceResult` | `resourceNotFound(String must, String parent, String messageid, oracle.cloud.scanning.types.Severity severity)`
    `static MissingResourceResult` | `resourceWithExtensionNotFound(String must, String parent, String messageid, oracle.cloud.scanning.types.Severity severity)`
    `static String` | `reTranslateRxClassToClass(String ex)`
    `static List<String>` | `reTranslateRxPathToClass(List<String> ex)`
    `static List<String>` | `reTranslateRxPathToPath(List<String> ex)`
    `static String` | `reTranslateRxPathToPath(String ex)`
    `static String` | `translateToRxClass(String ex)`
    `static Result` | `unableToParseFile(String cause)`
    `static Result` | `valueNotAllowed(String messageid, oracle.cloud.scanning.types.Severity sev, String key, String val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Util

          public Util()

  - ### Method Detail

    - #### translateToRxClass

          public static String translateToRxClass(String ex)

    - #### reTranslateRxPathToPath

          public static List<String> reTranslateRxPathToPath(List<String> ex)

    - #### reTranslateRxPathToClass

          public static List<String> reTranslateRxPathToClass(List<String> ex)

    - #### reTranslateRxPathToPath

          public static String reTranslateRxPathToPath(String ex)

    - #### reTranslateRxClassToClass

          public static String reTranslateRxClassToClass(String ex)

    - #### isWarning

          public static boolean isWarning(oracle.cloud.scanning.types.Severity sev)

    - #### isError

          public static boolean isError(oracle.cloud.scanning.types.Severity sev)

    - #### isHint

          public static boolean isHint(oracle.cloud.scanning.types.Severity sev)

    - #### unableToParseFile

          public static Result unableToParseFile(String cause)

    - #### classNotAllowed

          public static ClassReferenceResult classNotAllowed(String messageid,
                                             String clsName,
                                             oracle.cloud.scanning.types.Severity sev,
                                             oracle.cloud.scanning.types.Severity onExemption)

    - #### classNotToBeScanned

          public static Result classNotToBeScanned(String clsName,
                                   oracle.cloud.scanning.types.Severity sev)

    - #### classNotToBeScanned

          public static ClassToBeScannedResult classNotToBeScanned(String clsName,
                                                   List<String> excludeDependency,
                                                   oracle.cloud.scanning.types.Severity sev)

    - #### methodOrConstructorNotAllowed

          public static Result methodOrConstructorNotAllowed(String messageid,
                                             String clsName,
                                             oracle.cloud.scanning.types.Severity sev)

    - #### instantiationNotAllowed

          public static Result instantiationNotAllowed(String messageid,
                                       String clsName,
                                       oracle.cloud.scanning.types.Severity sev)

    - #### instantiationNotAllowedThruNoArg

          public static Result instantiationNotAllowedThruNoArg(String messageid,
                                                String clsName,
                                                oracle.cloud.scanning.types.Severity sev)

    - #### keyNotAllowed

          public static Result keyNotAllowed(String messageid,
                             oracle.cloud.scanning.types.Severity sev,
                             String key)

    - #### annotationFieldAllowed

          public static Result annotationFieldAllowed(String messageid,
                                      oracle.cloud.scanning.types.Severity sev,
                                      String field)

    - #### annotationFieldValueAllowed

          public static Result annotationFieldValueAllowed(String messageid,
                                           oracle.cloud.scanning.types.Severity sev,
                                           String name,
                                           String val)

    - #### annotationAttributeMissing

          public static MissingAnnotationAttributeResult annotationAttributeMissing(String messageid,
                                                                    oracle.cloud.scanning.types.Severity sev,
                                                                    String attr,
                                                                    String ann)

    - #### annotationMissing

          public static MissingAnnotationResult annotationMissing(String messageid,
                                                  oracle.cloud.scanning.types.Severity sev,
                                                  String ann)

    - #### valueNotAllowed

          public static Result valueNotAllowed(String messageid,
                               oracle.cloud.scanning.types.Severity sev,
                               String key,
                               String val)

    - #### keyMissing

          public static MissingPropertyResult keyMissing(String key,
                                         String messageid,
                                         oracle.cloud.scanning.types.Severity sev)

    - #### extensionNotAllowed

          public static Result extensionNotAllowed(String messageid,
                                   String ext,
                                   oracle.cloud.scanning.types.Severity sev)

    - #### pathNotAllowed

          public static Result pathNotAllowed(String messageid,
                              String ext,
                              oracle.cloud.scanning.types.Severity sev)

    - #### fieldNotAllowed

          public static Result fieldNotAllowed(String messageid,
                               String cls,
                               String field,
                               oracle.cloud.scanning.types.Severity sev)

    - #### methodNotAllowed

          public static MethodInvocationResult methodNotAllowed(String messageid,
                                                String cls,
                                                String method,
                                                oracle.cloud.scanning.types.Severity sev)

    - #### constructorNotAllowed

          public static Result constructorNotAllowed(String messageid,
                                     String cls,
                                     String args,
                                     oracle.cloud.scanning.types.Severity sev)

    - #### elementNotAllowed

          public static Result elementNotAllowed(String qnamePath,
                                 oracle.cloud.scanning.types.IncludesAndExcludes iAndE)

    - #### elementValueNotAllowed

          public static Result elementValueNotAllowed(String val,
                                      String qnamePath,
                                      oracle.cloud.scanning.types.IncludesAndExcludes iAndE)

    - #### attributeValueNotAllowed

          public static Result attributeValueNotAllowed(String val,
                                        String attr,
                                        String qnamePath,
                                        oracle.cloud.scanning.types.IncludesAndExcludes iAndE)

    - #### attributeNotAllowed

          public static Result attributeNotAllowed(String attr,
                                   String qnamePath,
                                   oracle.cloud.scanning.types.IncludesAndExcludes iAndE)

    - #### failed

          public static MissingXMLNodeResult failed(oracle.cloud.scanning.types.IncludesAndExcludes iAndE,
                                    String message,
                                    MissingXMLNodeResult.NodeType type,
                                    String name)

    - #### elementNotFound

          public static MissingXMLNodeResult elementNotFound(String must,
                                             String qnamePath,
                                             oracle.cloud.scanning.types.IncludesAndExcludes iAndE)

    - #### resourceWithExtensionNotFound

          public static MissingResourceResult resourceWithExtensionNotFound(String must,
                                                            String parent,
                                                            String messageid,
                                                            oracle.cloud.scanning.types.Severity severity)

    - #### resourceNotFound

          public static MissingResourceResult resourceNotFound(String must,
                                               String parent,
                                               String messageid,
                                               oracle.cloud.scanning.types.Severity severity)

    - #### attributeNotFound

          public static MissingXMLNodeResult attributeNotFound(String must,
                                               String qnamePath,
                                               oracle.cloud.scanning.types.IncludesAndExcludes iAndE)

    - #### failed

          public static XMLElementResult failed(oracle.cloud.scanning.types.IncludesAndExcludes iAndE,
                                String message)

Copyright © 2018 Oracle. All rights reserved.